В версии 3.34 для работы ЛЭРС УЧЁТ будет нужен .NET Framework 4.8

Модератор: Модераторы

Ответить
Аватара пользователя
Антон Чичков
Администратор
Администратор
Сообщения: 5415
Зарегистрирован: 16 мар 2010, 07:04
Откуда: Хабаровск

В версии 3.34 для работы ЛЭРС УЧЁТ будет нужен .NET Framework 4.8

Сообщение Антон Чичков » 17 дек 2019, 03:46

Уважаемые пользователи!

В связи с переходом сервера ЛЭРС УЧЁТ на платформу .NET Core, в версии 3.34 для всех клиентских приложений потребуется .NET Framework версии 4.8 вместо 4.6.

Для того, чтобы обновление системы до версии 3.34 прошло быстро и легко, рекомендуем уже сегодня загрузить и установить требуемую версию .NET Framework. Сделать это можно по ссылке:
https://dotnet.microsoft.com/download/d ... -installer

Напоминаем, что в версии 3.34 будет прекращена поддержка ОС Windows Vista.

Мы стараемся использовать самые новые технологии, чтобы повышать производительность и качество нашего ПО.

Спасибо что выбираете ЛЭРС УЧЁТ!
20 и 21 июля 2020. IX обучающий семинар в Москве. Подробнее ...
Аватара пользователя
Стеклянный Карандаш
Сообщения: 121
Зарегистрирован: 05 окт 2016, 18:31

Re: В версии 3.34 для работы ЛЭРС УЧЁТ будет нужен .NET Framework 4.8

Сообщение Стеклянный Карандаш » 18 дек 2019, 08:32

Спасибо за предупреждение, обновил сервер и клиентов - все на Win7 на отлично обновились, НО некоторые клиенты выдают ошибку на Win10 примерно так:
Microsoft .NET Framework 4.8 Setup_20191217_095526532
OS Version = 10.0.14393, SP = 0.0, Platform 2
OS Description = Future OS - x64
MSI = 5.0.14393.0
Windows servicing = 10.0.14393.82
CommandLine = C:\66695e5bf563d0f283fd197df85ed9\\Setup.exe /x86 /x64 /redist
Using Simultaneous Download and Install mechanism
Operation: Installing
Package Name = Microsoft .NET Framework 4.8 Setup
Package Version = 4.8.03928
User Experience Data Collection Policy: Disabled
Number of applicable items: 6
RmShutdown failed with error: 351
RmShutdown failed with error: 351
Exe (C:\66695e5bf563d0f283fd197df85ed9\SetupUtility.exe) succeeded.
Exe Log File: dd_SetupUtility.txt
Exe (C:\66695e5bf563d0f283fd197df85ed9\SetupUtility.exe) succeeded.
Exe Log File: dd_SetupUtility.txt
Exe (C:\66695e5bf563d0f283fd197df85ed9\x64-Windows10.0-KB4486129-x64.cab) failed with 0x57 - Параметр задан неверно. .
Final Result: Installation failed with error code: (0x00000057), "Параметр задан неверно. " (Elapsed time: 0 00:12:48).
Всё на KB4486129, я понимаю, что не Ваше, прилагаю лог одного из них...
Вложения
Microsoft .NET Framework 4.8 Setup_20191217_095526532.7z
(16 КБ) 12 скачиваний
Лучший способ защиты - это нападение...
Аватара пользователя
Антон Чичков
Администратор
Администратор
Сообщения: 5415
Зарегистрирован: 16 мар 2010, 07:04
Откуда: Хабаровск

Re: В версии 3.34 для работы ЛЭРС УЧЁТ будет нужен .NET Framework 4.8

Сообщение Антон Чичков » 20 дек 2019, 08:38

Очень странно, Win10 должна быть полностью с ним совместима.

Можете попробовать на одном из сбойных клиентов заустить web установщик? Скачать можно здесь https://dotnet.microsoft.com/download/d ... -installer

Если не помогает, ещё один вариант.

1. Откройте оснастку "Службы" и перезапустите службу Центр обновления Windows.
2. Попробуйте установить FW ещё раз.

Кроме того, попробуйте, пожалуйста запустить службу "Установщик модулей Windows" и запустите установку.

Пожалуйста, сообщите, сработает ли установка на одном из этих шагов.
20 и 21 июля 2020. IX обучающий семинар в Москве. Подробнее ...
Ответить